Ping
Pings the DevRev service.
Required scopes: No scopes required.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Query Parameters
DevRev partion ID. For example, dvrv-us-1 for the us-east-1 region.
textResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/ping"{
"timestamp": "2023-01-01T12:00:00.000Z"
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Ping (POST) POST
Pings the DevRev service. **Required scopes:** No scopes required.
Create Part POST
Creates new [part](https://devrev.ai/docs/product/parts). **Required scopes:** Depends on the object type in the `type` field: | type | required scope | |---|---| | capability | `capability:write` OR `capability:all` | | enhancement | `enhancement:write` OR `enhancement:all` | | feature | `feature:write` OR `feature:all` | | product | `product:write` OR `product:all` |